Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1470 - need summary
Summary: need summary
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 5.2
Hardware: alpha
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-10 15:44 UTC by vasz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-18 21:51:03 UTC


Attachments (Terms of Use)

Description vasz 1999-03-10 15:44:45 UTC
Either the kernel, or rather the C compiler
and library in 5.2 very slow. I do numerical
calculations and when I upgraded from 5.0 to
5.2 the speed of my calculation
substationally slowed down (about on third).
When went back I have gained the speed back.
I noticed, that on alpha from 5.1 the new,
and unfortunately experimental compiler,
the egcs is used. Since I am not an
expertise in kernel compiling, I am not sure
where the problen came from. It is because
the 5.1 and 5.2 kernel was compiled with
egcs or simply the egcs does not give the
same speed as the gcc compiler. I think this
is a serious problem, since many pepole,
like myself, use the alpha station for
numerical speed.

Comment 1 Preston Brown 1999-03-18 21:51:59 UTC
We have not noticed similar performance problems here.  Without
further information, we cannot determine if there is indeed a
problem.  Please provide more information if you do reopen this bug.

Comment 2 vasz 1999-03-23 19:58:59 UTC
I used the GROMACS molecular dynamics package when
I fund this speed problem. I have repeated the
install 5.2 and do GROMACS, install 5.0 from
scratch compile GROMACS and run severeal times and
the major speed problems comes out consistently.
As I said the speed problem only comes when one
dealing with NUMERICAL (floating point)
calculations.


Note You need to log in before you can comment on or make changes to this bug.